from narval.elements.test import Element
plan = get_plan(memory)

# check plan state
assert_equals(plan.state, 'failed')
# check steps'state
assert_element_state(plan, 'step1', 'history')
assert_element_state(plan, 'step2', 'error')
